#
# spec file for package privoxy (Version 3.0.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim w3m zlib zlib-devel

Name:           privoxy
BuildRequires:  pcre-devel w3m
URL:            http://www.privoxy.org/
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/Web/Proxy
Provides:       ijb junkbuster
Obsoletes:      ijb junkbuster
Autoreqprov:    on
Prereq:         %fillup_prereq %insserv_prereq /usr/sbin/useradd /usr/sbin/groupadd
Version:        3.0.5
Release:        20.2
Summary:        The Internet Junkbuster - HTTP Proxy Server
Source:         privoxy-%version-beta-src.tar.bz2
Source1:        privoxy.logrotate
Patch:          %{name}-%{version}-init.patch
Patch1:         %{name}-%{version}-config.patch
Patch2:         %{name}-%{version}-utf8.patch
Patch3:         %{name}-%{version}-networkmanager.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define chroot /var/lib/privoxy

%description
The Internet Junkbuster - HTTP Proxy Server: A non-caching HTTP proxy
server that runs between a web browser and a web server and filters
contents as described in the configuration files.



Authors:
--------
    Privoxy Developers <developers@privoxy.org>

%debug_package
%prep
%setup -q -n privoxy-%version-BETA
%patch -p1
%patch1
%patch2 -p0
%patch3

%build
autoheader
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/%chroot/etc
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/%chroot/log
mkdir -p $RPM_BUILD_ROOT/%chroot/var/log
mkdir -p $RPM_BUILD_ROOT/%chroot/var/run
mkdir -p $RPM_BUILD_ROOT/%chroot/%_lib
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
mkdir -p $RPM_BUILD_ROOT/etc/NetworkManager/dispatcher.d
cp -a templates $RPM_BUILD_ROOT/%chroot/etc
install -m 644 config *.action *.filter trust $RPM_BUILD_ROOT/%chroot/etc
install -m 755 privoxy.init.suse $RPM_BUILD_ROOT/etc/init.d/privoxy
install -m 755 privoxy $RPM_BUILD_ROOT/usr/sbin
install -m 644 privoxy.1 $RPM_BUILD_ROOT%_mandir/man1
install -m 755 privoxy_nm $RPM_BUILD_ROOT/etc/NetworkManager/dispatcher.d/privoxy
ln -sf ../../etc/init.d/privoxy $RPM_BUILD_ROOT/usr/sbin/rcprivoxy
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/privoxy
ln -s ../../log $RPM_BUILD_ROOT/%chroot/var/log/privoxy
#ln -s ../etc $RPM_BUILD_ROOT/%chroot/etc/privoxy

%pre
/usr/sbin/groupadd -r privoxy 2> /dev/null ||:
/usr/sbin/useradd -r -g privoxy -s /bin/false -c "Daemon user for privoxy" \
 -d /var/lib/privoxy privoxy 2> /dev/null ||:
exit 0

%post
%{fillup_and_insserv -s privoxy START_IJB}
# create logfiles if missing
for i in ./%chroot/log/logfile ./%chroot/log/jarfile; do
	if ! test -e $i; then touch $i; chown privoxy: $i; chmod 640 $i ; fi
done
exit 0

%preun
%stop_on_removal privoxy

%postun
%restart_on_update privoxy
%insserv_cleanup

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README ChangeLog
%doc doc/text
/usr/sbin/privoxy
/etc/NetworkManager/dispatcher.d/privoxy
%dir /etc/NetworkManager
%dir /etc/NetworkManager/dispatcher.d
%doc %_mandir/man1/privoxy.1.gz
%config(noreplace) /etc/logrotate.d/privoxy
%dir /%chroot/etc
%config(noreplace) /%chroot/etc/config
%config(noreplace) /%chroot/etc/trust
%config                                    /%chroot/etc/standard.action
%config            %attr(640,privoxy,root) /%chroot/etc/default.action
%config(noreplace) %attr(640,privoxy,root) /%chroot/etc/user.action
%config(noreplace) /%chroot/etc/*.filter
%dir %chroot

%chroot/etc/templates
%dir %attr(770,root,privoxy) %chroot/log

%chroot/var

%chroot/%_lib
%config /etc/init.d/privoxy
/usr/sbin/rcprivoxy

%changelog -n privoxy
* Fri Dec 08 2006 - lmichnovic@suse.cz
- fixed: privoxy stops working when Network Manager switches the
  network (networkmanager.patch) [#213056], SWAMP-ID 7371
* Wed Sep 27 2006 - lmichnovic@suse.cz
- update to verson 3.0.5 beta
  * Windows version can be installed/started as a service.
  * Windows icon stays blue when Privoxy is idle, green when busy.
  * Integrated Fabian Keil's extensive patch.  See:
  http://www.fabiankeil.de/sourcecode/privoxy/
  * many other improvements and bugfixes (see Changelog)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - ro@suse.de
- do not create unpackaged symlink
* Thu Dec 08 2005 - lmichnovic@suse.cz
- fixed bad permissions for program's log directory (#137544)
* Mon Aug 22 2005 - ltinkl@suse.cz
- limit the debug
  (privoxy shouldn't log all URLs by default - #99710)
* Wed Mar 09 2005 - ltinkl@suse.cz
- convert config file to utf-8 (#71276)
* Wed Mar 03 2004 - ltinkl@suse.cz
- update to 3.0.3
- added pcre to neededforbuild
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Jul 30 2003 - poeml@suse.de
- new macros for stop/restart of services on rpm update/removal
* Mon Jul 28 2003 - poeml@suse.de
- update to 3.0.2 (maintenance release).
  - Fixed two memory leaks, one serious
  - Fixed a bug in pcrs which could cause crashes with user-defined filters
  - Fixed a bug in domain name matching
  - Assorted small fixes (Win32 menu, CGI URL editor, ..)
  - Added basic support for the OPTIONS and TRACE http methods
  - Added workaround for Bug in Mac OSX that made Privoxy crash occasionally
  - Refined the default action file through >400 items of user feedback
  - Filter changes:
    - Assorted refinements, optimizations and fixes in the js-annoyances,
  img-reorder, banners-by-size, banners-by-link, webbugs, refresh-tags,
  html-annoyances, content-cookies and fun filters
    - Replaced filter "popups" by choice between two modes:
      - "unsolicited-popups" tries to catch only the unsolicited ones
      - "all-popups" tries to kill them all (as before)
    - New filter "tiny-textforms" to help those tiny or hard-wrap textareas.
    - New filter "jumping-windows" that prevents windows from resizing
  and moving themselves
    - New filter "demoronizer" which fixes MS's abuse of std charsets
  (common cases anyway).
    - Replaced "nimda" with more general "ie-exploits" filter in which
  all filters for IE exploits shall be collected
  - Improved cookie logging
  - Rewrote make install target. Added uninstall and install-strip
  targets.
  - Fixed a potential (application-level, NOT OS-level!) security
  problem involving remote toggling or action file manipulation
  by mailicious websites.
  - Added ability to chroot (thanks to Sviatoslav Sviridov)
  - Added more action aliases for prehistoric action names
- no longer run as wwwrun. Create user privoxy instead
- run in chroot jail
* Wed May 21 2003 - mmj@suse.de
- Implement try-restart correctly in init-script
* Fri May 16 2003 - poeml@suse.de
- fix creation of log files [#25990]
- add logrotate snippet [#26892]
- fix permissions of the files that are edited via the web frontend
  (default.action, user.action)
- buildrooted
* Fri Nov 15 2002 - poeml@suse.de
- init script: run under group nogroup instead of nobody
- add license file and documentation (pdf, text)
- use %%setup -q and %%defattr
* Thu Sep 19 2002 - uli@suse.de
- update -> 3.0.0 (stable release)
- source rc.status in init script
* Thu Aug 08 2002 - uli@suse.de
- update -> 2.9.18-beta (many fixes)
* Thu Aug 01 2002 - uli@suse.de
- added Prereqs
* Thu Jul 18 2002 - uli@suse.de
- only source /etc/rc.config if it's actually there
* Wed May 15 2002 - uli@suse.de
- update -> privoxy 2.9.14-beta (superset of junkbuster)
* Thu Jan 31 2002 - uli@suse.de
- run as nobody
- removed weird backslashes from init script (dunno how that got
  in there)
* Thu Jan 10 2002 - ro@suse.de
- removed START_IJB from init-script
* Thu Jan 10 2002 - egmont@suselinux.hu
- changed /sbin/init.d to /etc/init.d in init script comment
* Thu Dec 06 2001 - uli@suse.de
- eliminated START_IJB
* Wed Aug 01 2001 - uli@suse.de
- made init script more LSB compliant (proper return values, bug
  [#9045])
* Wed Jun 27 2001 - uli@suse.de
- marked init script %%config
* Thu May 10 2001 - uli@suse.de
- enabled START_IJB check in init script (bug #8061)
- added rc.config template
- bzipped tarball
* Wed Feb 14 2001 - uli@suse.de
- fixed init script
* Wed Dec 06 2000 - bjacke@suse.de
- renamed package to junkbuster
- fixed copyright tag
* Thu Nov 30 2000 - uli@suse.de
- moved init script to /etc/init.d
* Wed Feb 16 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
- Mark /etc/ijb as "config(noreplace)"
* Mon Sep 20 1999 - uli@suse.de
- fixed init script
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Apr 01 1999 - daniel@suse.de
- do not start ijb as root (security)
* Tue Mar 30 1999 - daniel@suse.de
- dont use saclfile.ini
* Tue Mar 30 1999 - daniel@suse.de
- small fix to whitelist-configuration,
  version is and was 2.0.2 WITHOUT Stefan Waldherr's patches
  (http://www.waldherr.org/junkbuster/)
* Mon Mar 01 1999 - daniel@suse.de
- new package: version 2.0
